# This file created by conda-build 3.11.0
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/ipython-6.5.0-python_3.7-on-linux_32, last modified Mon Jul 30 15:16:26 2018
# ------------------------------------------------

package:
    name: ipython
    version: 6.5.0
source:
    fn: ipython-6.5.0.tar.gz
    sha256: b0f2ef9eada4a68ef63ee10b6dde4f35c840035c50fd24265f8052c98947d5a4
    url: https://pypi.io/packages/source/i/ipython/ipython-6.5.0.tar.gz
build:
    entry_points:
        - ipython = IPython:start_ipython
        - ipython3 = IPython:start_ipython
    number: '0'
    script: python -m pip install --no-deps .
    string: py37_0
requirements:
    host:
        - ca-certificates 2018.03.07 0
        - certifi 2018.4.16 py37_0
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 h97ff0df_4
        - libgcc-ng 7.2.0 h9268252_3
        - libstdcxx-ng 7.2.0 h9268252_3
        - ncurses 6.1 hf484d3e_0
        - openssl 1.0.2o h20670df_0
        - pip 10.0.1 py37_0
        - python 3.7.0 hc3d631a_0
        - readline 7.0 h6b4b497_4
        - setuptools 39.2.0 py37_0
        - sqlite 3.24.0 h84994c4_0
        - tk 8.6.7 h9a736a7_3
        - wheel 0.31.1 py37_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h907e355_2
    run:
        - backcall
        - decorator
        - jedi >=0.10
        - pexpect
        - pickleshare
        - prompt_toolkit >=1.0.4,<2.0.0
        - pygments
        - python >=3.7,<3.8.0a0
        - simplegeneric >0.8
        - traitlets >=4.2
test:
    commands:
        - ipython -h
        - ipython3 -h
    imports:
        - IPython
        - IPython
        - IPython.core
        - IPython.core.magics
        - IPython.core.tests
        - IPython.extensions
        - IPython.extensions.tests
        - IPython.external
        - IPython.external.decorators
        - IPython.lib
        - IPython.lib.tests
        - IPython.sphinxext
        - IPython.terminal
        - IPython.terminal.pt_inputhooks
        - IPython.terminal.tests
        - IPython.testing
        - IPython.testing.plugin
        - IPython.testing.tests
        - IPython.utils
        - IPython.utils.tests
about:
    description: 'IPython provides a rich architecture for interactive computing with

        a powerful interactive shell, a kernel for Jupyter, high performance

        tools for parallel computing, and more.

        '
    dev_url: https://github.com/ipython/ipython
    doc_url: http://ipython.org/documentation.html
    home: http://ipython.org/
    license: BSD 3-clause
    license_family: BSD
    license_file: COPYING.rst
    summary: 'IPython: Productive Interactive Computing'
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - Carreau
        - jakirkham
        - minrk
        - ocefpaf
        - pelson
        - takluyver
